Bug 216354 - Review Request: liquidwar - Multiplayer wargame with liquid armies
Review Request: liquidwar - Multiplayer wargame with liquid armies
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-19 15:49 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-23 15:30:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-11-19 15:49:50 EST
Spec URL: http://people.atrpms.net/~hdegoede/liquidwar.spec
SRPM URL: http://people.atrpms.net/~hdegoede/liquidwar-5.6.3-1.fc7.src.rpm
Description:
Liquid War is a unique multiplayer wargame. You control an army of liquid  
and have to try and eat your opponents. A single player mode is available,
but the game is definitely designed to be multiplayer, and has network
support.
Comment 1 Wart 2006-11-20 20:59:19 EST
GOOD
====
* Package and spec named appropriately
* GPL license ok, license file included
* Source matches upstream:
  a41473c281f214c1ac96ab50f98537c9  liquidwar-5.6.3.tar.gz
* Spec file legible and in Am. English
* Compiles and builds on (FC5, FC6, devel) x (i386, x86_64)
* No -devel subpackage needed
* Large docs are located in -doc subpackage
* Not relocatable
* No locales
* Directory ownership ok
* file permissions ok
* .desktop file and icons installed correctly
* No shared libraries
* Application runs as expected

SHOULD
======
* Consider adding the README file to %doc.  It contains the address of the
  package's mailing list which doesn't appear elsewhere.

* 'make dep' gets run as part of the build, and generates the following
  harmless warning:
gmake[1]: Entering directory `/space/rpmbuild/BUILD/liquidwar-5.6.3/src'
find: .-name: No such file or directory
find: *.c: No such file or directory
cc: no input files
gmake[1]: Leaving directory `/space/rpmbuild/BUILD/liquidwar-5.6.3/src'
  It seems there is a missing space after the '.' in src/Makefile.in line 256:
        @find .\
        -name '*.c' | \

* The man page refers the reader to "/usr/share/doc/liquidwar" for more
  documentation.  This path should be updated to point to the files in the
  -doc subpackage.

* The URL: tag points to a page with a better home page link:
  http://www.ufoot.org/liquidwar/v5

* The metaserver URL in the man page is wrong.  It should be:
  http://www.ufoot.org/liquidwar/v5/metaserver

* An init.d script for starting a liquidwar server at boot time would be nice. 
Perhaps if I find some extra time I'll write one for you.

None of these issues are serious enough to block approval:

APPROVED
Comment 2 Hans de Goede 2006-11-23 15:23:24 EST
(In reply to comment #1)
Thanks for review and the good feedback!
> 
> SHOULD
> ======
> * Consider adding the README file to %doc.  It contains the address of the
>   package's mailing list which doesn't appear elsewhere.
> 
Done

> * 'make dep' gets run as part of the build, and generates the following
>   harmless warning:
> gmake[1]: Entering directory `/space/rpmbuild/BUILD/liquidwar-5.6.3/src'
> find: .-name: No such file or directory
> find: *.c: No such file or directory
> cc: no input files
> gmake[1]: Leaving directory `/space/rpmbuild/BUILD/liquidwar-5.6.3/src'
>   It seems there is a missing space after the '.' in src/Makefile.in line 256:
>         @find .\
>         -name '*.c' | \
> 
Harmless indeed, ignored.

> * The man page refers the reader to "/usr/share/doc/liquidwar" for more
>   documentation.  This path should be updated to point to the files in the
>   -doc subpackage.
> 
Fixed

> * The URL: tag points to a page with a better home page link:
>   http://www.ufoot.org/liquidwar/v5
> 
Done

> * The metaserver URL in the man page is wrong.  It should be:
>   http://www.ufoot.org/liquidwar/v5/metaserver
> 
Fixed

> * An init.d script for starting a liquidwar server at boot time would be nice. 
> Perhaps if I find some extra time I'll write one for you.
> 

I wouldn't mind receiving this, together with a patch to split out the server in
its own subpackage, as I think if we add an init script the server really should
be in its own subpackage (and we need to think about wether to start it by
default or not)

> None of these issues are serious enough to block approval:
> 
> APPROVED
> 

Imported and build, closing. Thanks again!
Comment 3 Wart 2006-11-23 21:35:25 EST
(In reply to comment #2)
> > * An init.d script for starting a liquidwar server at boot time would be nice. 
> > Perhaps if I find some extra time I'll write one for you.
> > 
> 
> I wouldn't mind receiving this, together with a patch to split out the server in
> its own subpackage, as I think if we add an init script the server really should
> be in its own subpackage (and we need to think about wether to start it by
> default or not)

It most definitely should not be started by default.  The server admin should
have to run 'chkconfig liquidwar on' manually or use the gui service tools to
enable the service to run at boot time.  Certain system applications (like sshd)
should be started by default, but games should not.

I've got the necessary init/sysconfig/logrotate scripts for liquid war.  Would
you prefer that I attach them to a new bug report, or just check them into cvs
(without requesting a build, of course)?
Comment 4 Hans de Goede 2006-11-24 01:36:27 EST
Just dropping them in CVS will be fine, a specfile update for this would be very
welcome too :)
Comment 5 Hans de Goede 2007-10-19 07:15:12 EDT
Package Change Request
======================
Package Name: liquidwar
New Branches: F-8

Comment 6 Kevin Fenzi 2007-10-21 12:25:32 EDT
All packages have now been branched for F-8, so this request should be done. 
Feel free to reset fedora-cvs flag if you need anything futher. 

Note You need to log in before you can comment on or make changes to this bug.